### Method

# Gsk.Renderer.get_surface

#### Declaration [src]

    GdkSurface*
    gsk_renderer_get_surface (
      GskRenderer* renderer
    )

#### Description [src]

Retrieves the `GdkSurface` set using `gsk_enderer_realize()`.

If the renderer has not been realized yet, `NULL` will be returned.

Gets property | `Gsk.Renderer:surface`

#### Return value

Returns: `GdkSurface*`
a `GdkSurface`
Ownership is not transferred to the caller
Can be `NULL`